For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Create a simulation case

POST https://api.synthflow.ai/v2/simulation_cases
Content-Type: application/json

Create a new simulation case for a workspace.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/create-simulation-case

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_cases:
    post:
      operationId: create-simulation-case
      summary: Create a simulation case
      description: Create a new simulation case for a workspace.
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/create-simulation-case_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Create-simulation-caseRequestBadRequestError
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Create-simulation-caseRequestUnprocessableEntityError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationCaseCreateIn'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    SimulationCaseCreateInType:
      type: string
      enum:
        - custom
        - agent_based
      description: Simulation case type.
      title: SimulationCaseCreateInType
    SimulationCaseCreateInCallSuccessType:
      type: string
      enum:
        - all
        - any
      description: Success logic for the case.
      title: SimulationCaseCreateInCallSuccessType
    SimulationCaseCreateIn:
      type: object
      properties:
        name:
          type: string
          description: Name of the simulation case.
        prompt:
          type: string
          description: Prompt used during the simulation case.
        type:
          $ref: '#/components/schemas/SimulationCaseCreateInType'
          description: Simulation case type.
        success_criteria:
          type: array
          items:
            type: string
          description: Success criteria evaluated for the case.
        call_success_type:
          $ref: '#/components/schemas/SimulationCaseCreateInCallSuccessType'
          description: Success logic for the case.
        suite_id:
          type: string
          format: uuid
          description: >-
            ID of the simulation suite to add this case to. Required for v2
            simulation suites.
        base_agent_id:
          type:
            - string
            - 'null'
          description: Agent ID to base the generated case on.
      required:
        - name
        - prompt
        - type
        - success_criteria
        - call_success_type
      description: Input payload to create a simulation case.
      title: SimulationCaseCreateIn
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationCaseReadOutType:
      type: string
      enum:
        - custom
        - agent_based
      title: SimulationCaseReadOutType
    SimulationCaseReadOutCallSuccessType:
      type: string
      enum:
        - all
        - any
      title: SimulationCaseReadOutCallSuccessType
    SimulationCaseReadOutBaseAgent:
      type: object
      properties:
        model_id:
          type: string
        agent_name:
          type: string
        agent_type:
          type: string
        voice_engine_type:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        updated_at:
          type: string
          format: date-time
        image_url:
          type:
            - string
            - 'null'
      title: SimulationCaseReadOutBaseAgent
    SimulationCaseReadOut:
      type: object
      properties:
        simulation_case_id:
          type: string
          format: uuid
        workspace_id:
          type: string
        suite_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the simulation suite this case belongs to.
        name:
          type: string
        prompt:
          type: string
        type:
          $ref: '#/components/schemas/SimulationCaseReadOutType'
        success_criteria:
          type: array
          items:
            type: string
        call_success_type:
          $ref: '#/components/schemas/SimulationCaseReadOutCallSuccessType'
        base_agent:
          oneOf:
            - $ref: '#/components/schemas/SimulationCaseReadOutBaseAgent'
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      description: Simulation case details.
      title: SimulationCaseReadOut
    SimulationCasesPostResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        simulation_case:
          $ref: '#/components/schemas/SimulationCaseReadOut'
      title: SimulationCasesPostResponsesContentApplicationJsonSchemaResponse
    create-simulation-case_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: >-
            #/components/schemas/SimulationCasesPostResponsesContentApplicationJsonSchemaResponse
      title: create-simulation-case_Response_200
    Create-simulation-caseRequestBadRequestError:
      type: object
      properties: {}
      title: Create-simulation-caseRequestBadRequestError
    Create-simulation-caseRequestUnprocessableEntityError:
      type: object
      properties: {}
      title: Create-simulation-caseRequestUnprocessableEntityError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_cases"

payload = {
    "name": "Customer Support Test",
    "prompt": "You are a customer calling about a billing issue.",
    "type": "custom",
    "success_criteria": ["Agent resolves billing issue", "Agent maintains professional tone"],
    "call_success_type": "all",
    "suite_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_cases"

	payload := strings.NewReader("{\n  \"name\": \"Customer Support Test\",\n  \"prompt\": \"You are a customer calling about a billing issue.\",\n  \"type\": \"custom\",\n  \"success_criteria\": [\n    \"Agent resolves billing issue\",\n    \"Agent maintains professional tone\"\n  ],\n  \"call_success_type\": \"all\",\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_cases")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Customer Support Test\",\n  \"prompt\": \"You are a customer calling about a billing issue.\",\n  \"type\": \"custom\",\n  \"success_criteria\": [\n    \"Agent resolves billing issue\",\n    \"Agent maintains professional tone\"\n  ],\n  \"call_success_type\": \"all\",\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/simulation_cases")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Customer Support Test\",\n  \"prompt\": \"You are a customer calling about a billing issue.\",\n  \"type\": \"custom\",\n  \"success_criteria\": [\n    \"Agent resolves billing issue\",\n    \"Agent maintains professional tone\"\n  ],\n  \"call_success_type\": \"all\",\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_cases");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Customer Support Test\",\n  \"prompt\": \"You are a customer calling about a billing issue.\",\n  \"type\": \"custom\",\n  \"success_criteria\": [\n    \"Agent resolves billing issue\",\n    \"Agent maintains professional tone\"\n  ],\n  \"call_success_type\": \"all\",\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Customer Support Test",
  "prompt": "You are a customer calling about a billing issue.",
  "type": "custom",
  "success_criteria": ["Agent resolves billing issue", "Agent maintains professional tone"],
  "call_success_type": "all",
  "suite_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_cases")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```